Subject: [bug#55891] [PATCH] gnu: Add iec16022

From: Maxime Devos <[email-masked]>
Date: Fri, 10 Jun 2022 23:47:00 +0200

Remco van 't Veer schreef op vr 10-06-2022 om 19:39 [+0200]:
> > Contains a bug: on line
> > 
> > https://github.com/rdoeffinger/iec16022/blob/c9a9fd926fd1e6cca9782fe3f8c2bab66010ca51/image.c#L284
> > 
> > , it allocates a buffer, which can fail (by returning NULL).
> > It then passes the possibly NULL buffer to compress2.
> > Also, it writes files without checking for errors
> > (e.g. EIO, ENOSPC or EDQUOT).
> 
> Good catch!  I'll need to brush up on my C skills to fix these.
> Meanwhile I'd like to ship including bugs, WDYT?

I think it's ok, _if_ the bugs are eventually at least reported
upstream if we (i.e., you) cannot fix them timely (needs some contrived
circumstances to trigger the bug).

Greetings,
Maxime.